-- Something like this around summary in the idx w/ tsvector
DROP INDEX post_summary_idx;
CREATE INDEX post_summary_idx ON post USING gin (to_tsvector(
    'english',
    regexp_replace(
        regexp_replace(summary, '<[^>]+>', ' ', 'g'),
        '\s+',
        ' ',
        'g'
    )
));
